Subject: bug#29201: 26.0.90; Flymake skips indicator when a backend reports a diagnostic at EOB

From: Dmitry Gutov <[email-masked]>
Date: Wed, 8 Nov 2017 01:26:55 +0200

...and the diagnostics buffer doesn't show anything either. Only the
mode-line indicator does.

Example: Rubocop reports the "E: unexpected token $end" errors with line
and column corresponding to the last position in the buffer.

flymake-diag-region translates that pair into a (EOB . (1+ EOB)) region.

And, apparently, flymake--highlight-line creates an evaporating overlay
with these buffer positions.

Maybe flymake-diag-region should check for (eob) and maybe backtrack a
little. Flycheck, in such situations, highlights the last symbol of the 
buffer.

++

In GNU Emacs 26.0.90 (build 5, x86_64-pc-linux-gnu, GTK+ Version 3.22.11)
  of 2017-11-07 built on zappa
Repository revision: ca2d94ba61dee678f85bfc7299d167e7219e6d8f
Windowing system distributor 'The X.Org Foundation', version 11.0.11903000
System Description:	Ubuntu 17.04